import { createStore, applyMiddleware, compose } from 'redux';
import thunk from 'redux-thunk';
import history from '../history';
import { routerMiddleware } from 'connected-react-router'
import rootReducer from '../reducers';
import getInitialState from '../utils/get-initial-state';

const initialState = getInitialState();

const store = createStore(
  rootReducer,
  initialState,
  compose(
    routerMiddleware(history),
    applyMiddleware(thunk)
  )
);

export default store;



